Get Monthly Summary
curl --request GET \
--url https://api.engrate.io/schedule-management/v1/mabis/energy-volumes/{mabis_zp_id}/monthly-summary \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/schedule-management/v1/mabis/energy-volumes/{mabis_zp_id}/monthly-summary"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/schedule-management/v1/mabis/energy-volumes/{mabis_zp_id}/monthly-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cost": {
"average_price_eur_mwh": 123,
"bilanzierungsmonat": "<string>",
"interval_count": 123,
"mabis_zp_id": "<string>",
"missing_prices_count": 123,
"total_cost_eur": 123,
"total_energy_mwh": 123,
"tso_area": "<string>",
"aggregation_object_uid": "<string>"
},
"energy": {
"bilanzierungsmonat": "<string>",
"data_status": "<string>",
"interval_count": 123,
"mabis_zp_id": "<string>",
"message_date": "<string>",
"mscons_message_id": "<string>",
"resolution": "<string>",
"total_kwh": 123,
"total_mwh": 123,
"unit": "<string>",
"aggregation_object_uid": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Settlement Management (MaBiS)
Get Monthly Summary
Get monthly energy summary and cost calculation.
Returns the monthly energy totals and optional cost calculation for a specific MaBiS-Zählpunkt. Uses the latest version (by message_date).
Args: mabis_zp_id: MaBiS-Zählpunkt identifier bilanzierungsmonat: Settlement month (first day of month) tso_area: TSO control area EIC (required for cost calculation)
Returns: Monthly summary with energy and optional cost data
GET
/
schedule-management
/
v1
/
mabis
/
energy-volumes
/
{mabis_zp_id}
/
monthly-summary
Get Monthly Summary
Authorizations
Path Parameters
MaBiS-Zaehlpunkt identifier.
Query Parameters
Settlement month (YYYY-MM-DD, first day of month)
TSO control area (required for cost calculation)
Was this page helpful?